MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023145Community[OCCT] OCCT:Modeling Algorithmspublic2012-05-06 19:502012-11-16 13:18
ReporterQbProg 
Assigned Toika 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023145: Suspicious else (2)
Descriptionsrc\LocalAnalysis\LocalAnalysis_SurfaceContinuity.cxx , LocalAnalysis_SurfaceContinuity::SurfC1

There are two if/else that have the same behavoir.

if (norm1v >= norm2v )
        myLambda1V= norm2v / norm1v;
else myLambda1V = norm2v / norm1v;
(... and another below)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0021806)
ika (developer)
2012-10-16 18:16

Else statement was incorrect, is has been changed.

Git branch CR23145 is ready to be reviewed.

Dear Oleg,
Please review.
(0021810)
oan (developer)
2012-10-16 19:59

Dear JGV,
Please review.
(0021856)
jgv (developer)
2012-10-19 16:03

No remarks
(0021996)
mkv (tester)
2012-10-29 18:10

Dear BugMaster,
Branch CR23145 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master 9a79c952
Timestamp: 2012-10-16 14:10:31
Author: ika
Details ] Diff ]
0023145: Suspicious else (2)

else statement was incorrect, is has been changed.
mod - src/LocalAnalysis/LocalAnalysis_SurfaceContinuity.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-06 19:50 QbProg New Issue
2012-05-06 19:50 QbProg Assigned To => jgv
2012-05-07 09:18 abv Relationship added child of 0023132
2012-05-07 09:25 abv Assigned To jgv => dbv
2012-05-07 09:25 abv Status new => assigned
2012-05-07 09:26 abv Target Version => 6.5.4
2012-10-09 18:40 oan Assigned To dbv => ika
2012-10-16 18:16 ika Note Added: 0021806
2012-10-16 18:17 ika Status assigned => resolved
2012-10-16 18:17 ika Assigned To ika => oan
2012-10-16 19:59 oan Assigned To oan => jgv
2012-10-16 19:59 oan Note Added: 0021810
2012-10-19 16:03 jgv Note Added: 0021856
2012-10-19 16:03 jgv Status resolved => reviewed
2012-10-23 15:57 mkv Assigned To jgv => mkv
2012-10-29 18:10 mkv Note Added: 0021996
2012-10-29 18:11 mkv Test case number => Not needed
2012-10-29 18:11 mkv Assigned To mkv => bugmaster
2012-10-29 18:11 mkv Status reviewed => tested
2012-11-06 19:02 ika Changeset attached => occt master 9a79c952
2012-11-06 19:03 ika Assigned To bugmaster => ika
2012-11-06 19:03 ika Status tested => verified
2012-11-06 19:03 ika Resolution open => fixed
2012-11-16 13:13 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker